package com.jasamedika.medifirst2000.entities;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;import org.hibernate.envers.Audited;

@Entity //@Audited
@Table(name="PapInstruksiPulang_T")
public class PapInstruksiPulang extends BaseTransaction{
	@ManyToOne
	@JoinColumn(name = "ObjectRegistrasiPelayananPasienFk")
	//@NotNull(message = "RegistrasiPelayananPasien tidak boleh kosong")
	private RegistrasiPelayananPasien registrasiPelayananPasien;	
	
	@Column(name = "ObjectRegistrasiPelayananPasienFk", columnDefinition = "CHAR(32)", insertable = false, updatable = false, nullable = true)
	private String registrasiPelayananPasienId;

	@ManyToOne
	@JoinColumn(name = "ObjectPasienFk")
	@NotNull(message = "Pasien tidak boleh kosong")
	private Pasien pasien;	
	
	@Column(name = "ObjectPasienFk", insertable = false, updatable = false, nullable = false)
	private Integer pasienId;
	
	@NotNull(message = "Tgl Input tidak boleh kosong")
	@Column(name = "tglInput", nullable = false)
	@Caption(value = "Tgl Input")
	private Date tglInput;

	@Column(name = "tglKeluar", nullable = true)
	@Caption(value="Tgl Keluar")
	private Date tglKeluar;
	
	@ManyToOne
	@JoinColumn(name = "ObjectKondisiPasienFk")
	@Caption(value="Object Kondisi Pasien")
	private KondisiPasien kondisiPasien;
	
	@Column(name = "ObjectKondisiPasienFk", insertable=false,updatable=false)
	private Integer kondisiPasienId;
	
	@ManyToOne
	@JoinColumn(name = "ObjectStatusKeluarFk")
	@Caption(value="Object Status Keluar")
	private StatusKeluar statusKeluar;
	
	@Column(name = "ObjectStatusKeluarFk", insertable=false,updatable=false)
	private Integer statusKeluarId;
	
	@ManyToOne
	@JoinColumn(name = "ObjectStatusPulangFk")
	@Caption(value="Object Status Pulang")
	private StatusPulang statusPulang;
	
	@Column(name = "ObjectStatusPulangFk", insertable=false,updatable=false)
	private Integer statusPulangId;
	
	@ManyToOne
	@JoinColumn(name = "ObjectHubunganKeluargaFk")
	@Caption(value="Object Hubungan Keluarga")
	private HubunganKeluarga hubunganKeluarga;
	
	@Column(name = "ObjectHubunganKeluargaFk", insertable=false,updatable=false)
	private Integer hubunganKeluargaId;
	
	@Column(name = "namaPembawaPulang", nullable = true)
	@Caption(value="Nama Pembawa Pulang")
	private String namaPembawaPulang;
	
	public Date getTglKeluar() {
		return tglKeluar;
	}
	public void setTglKeluar(Date tglKeluar) {
		this.tglKeluar = tglKeluar;
	}
	public KondisiPasien getKondisiPasien() {
		return kondisiPasien;
	}
	public void setKondisiPasien(KondisiPasien kondisiPasien) {
		this.kondisiPasien = kondisiPasien;
	}
	public StatusKeluar getStatusKeluar() {
		return statusKeluar;
	}
	public void setStatusKeluar(StatusKeluar statusKeluar) {
		this.statusKeluar = statusKeluar;
	}
	public StatusPulang getStatusPulang() {
		return statusPulang;
	}
	public void setStatusPulang(StatusPulang statusPulang) {
		this.statusPulang = statusPulang;
	}
	public HubunganKeluarga getHubunganKeluarga() {
		return hubunganKeluarga;
	}
	public void setHubunganKeluarga(HubunganKeluarga hubunganKeluarga) {
		this.hubunganKeluarga = hubunganKeluarga;
	}
	public String getNamaPembawaPulang() {
		return namaPembawaPulang;
	}
	public void setNamaPembawaPulang(String namaPembawaPulang) {
		this.namaPembawaPulang = namaPembawaPulang;
	}
	public RegistrasiPelayananPasien getRegistrasiPelayananPasien() {
		return registrasiPelayananPasien;
	}
	public void setRegistrasiPelayananPasien(RegistrasiPelayananPasien registrasiPelayananPasien) {
		this.registrasiPelayananPasien = registrasiPelayananPasien;
	}
	public Pasien getPasien() {
		return pasien;
	}
	public void setPasien(Pasien pasien) {
		this.pasien = pasien;
	}
	public Date getTglInput() {
		return tglInput;
	}
	public void setTglInput(Date tglInput) {
		this.tglInput = tglInput;
	}
	
}
